GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Data Fields
grpc::MethodHandler::HandlerParameter Struct Reference

`#include <rpc_service_method.h>`

## Public Member Functions
| HandlerParameter (Call *c, ServerContext *context, grpc_byte_buffer *req, int max_size)

## Data Fields
Call * | call
ServerContext * | server_context
grpc_byte_buffer * | request
int | max_message_size

## Constructor & Destructor Documentation

grpc::MethodHandler::HandlerParameter::HandlerParameter | ( | Call * | c,
|  | ServerContext * | context,
|  | grpc_byte_buffer * | req,
|  | int | max_size
| ) |  |
| inline

## Field Documentation

Call* grpc::MethodHandler::HandlerParameter::call

int grpc::MethodHandler::HandlerParameter::max_message_size

grpc_byte_buffer* grpc::MethodHandler::HandlerParameter::request

ServerContext* grpc::MethodHandler::HandlerParameter::server_context

The documentation for this struct was generated from the following file:

- include/grpc++/impl/rpc_service_method.h